Bug 1267730 - Business Central not loading properly, stuck at "Please wait" "Loading application..."
Business Central not loading properly, stuck at "Please wait" "Loading applic...
Status: CLOSED WONTFIX
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.1.0
x86_64 Linux
high Severity medium
: ER1
: 6.3.0
Assigned To: manstis
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-30 15:35 EDT by Kent Hua
Modified: 2016-07-31 21:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-30 06:19:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Please wait on the browser (753.43 KB, image/png)
2015-09-30 15:35 EDT, Kent Hua
no flags Details
Sometimes when there is a potential recovery - doesn't always occur (755.36 KB, image/png)
2015-09-30 15:36 EDT, Kent Hua
no flags Details
Working after a recovery - doesn't always occur (879.02 KB, image/png)
2015-09-30 15:37 EDT, Kent Hua
no flags Details
server log (212.69 KB, text/plain)
2015-09-30 15:37 EDT, Kent Hua
no flags Details
configuration file (22.71 KB, application/xml)
2015-09-30 15:38 EDT, Kent Hua
no flags Details
tcpdump when error occurs (6.43 MB, application/octet-stream)
2015-09-30 15:38 EDT, Kent Hua
no flags Details
tcpdump after recovery (396.01 KB, application/octet-stream)
2015-09-30 15:39 EDT, Kent Hua
no flags Details
Thread dumps (22.70 KB, application/x-gzip)
2015-10-02 13:25 EDT, Kent Hua
no flags Details

  None (edit)
Description Kent Hua 2015-09-30 15:35:27 EDT
Created attachment 1078796 [details]
Please wait on the browser

Description of problem:
Business Central not properly loading after authenticating.  Sometimes it will remain stuck at "Please wait" "Loading application..."  Sometimes after a refresh of the browser it will properly load Business Central.  Inconsistent behavior.

Version-Release number of selected component (if applicable):
BPM Suite 6.1.0 & 6.1.3
RHEL 7.1
firefox-31.4.0-1.el7_0.x86_64

How reproducible:
Fairly consistent reproducibility

Steps to Reproduce:
1. Start BPM Suite server
2. Login to business central, http://10.0.0.7:8080/busines-central
3. Authenticate
4. Stuck at "Please wait" "Loading application..."

Actual results:
Browser remains stuck at "Please wait" "Loading application...".  

Expected results:
Business Central loading properly

Additional info:
Firefox client and BPM Suite server on different VMs
org.jboss.errai DEBUG enabled

"6.1.3 Please Wait" - Initial Error

Sometimes client javascript will remain stuck at:
SEVERE [InitVotes] components failed to initialize
[failed] -> org.jboss.errai.bus.client.api.ClientMessageBus
[failed] -> org.jboss.errai.security.client.local.api.SecurityContext
[failed] -> org.jboss.errai.enterprise.client.cdi.api.CDI

Server log: 
15:11:02,789 DEBUG [org.jboss.errai.bus.server.HttpSessionProvider] (http-/0.0.0.0:8080-2) queue session 10665-7881 started


In the server log, occurred after refreshing the browser after a long wait "6.1.3 Recovering, - Force Browser Refresh.png".

15:13:34,971 DEBUG [org.jboss.errai.bus.server.servlet.DefaultBlockingServlet] (http-/0.0.0.0:8080-2) SSE problem when polling for new messages: ClientAbortException:  java.net.SocketException: Broken pipe

"6.1.3 Working - After Refresh" - after refreshing the browser
Comment 1 Kent Hua 2015-09-30 15:36 EDT
Created attachment 1078797 [details]
Sometimes when there is a potential recovery - doesn't always occur
Comment 2 Kent Hua 2015-09-30 15:37 EDT
Created attachment 1078798 [details]
Working after a recovery - doesn't always occur
Comment 3 Kent Hua 2015-09-30 15:37 EDT
Created attachment 1078800 [details]
server log
Comment 4 Kent Hua 2015-09-30 15:38 EDT
Created attachment 1078801 [details]
configuration file
Comment 5 Kent Hua 2015-09-30 15:38 EDT
Created attachment 1078802 [details]
tcpdump when error occurs
Comment 6 Kent Hua 2015-09-30 15:39 EDT
Created attachment 1078803 [details]
tcpdump after recovery
Comment 8 Kent Hua 2015-10-02 13:25 EDT
Created attachment 1079478 [details]
Thread dumps

jstack1-running - while it's doing the initial post.
jstack2-failed - when SEVERE [InitVotes] components failed to initialize
jstack3-recover - when it starts recovery process
Comment 10 Kent Hua 2015-11-12 13:00:20 EST
As a quick test, I tried adding the cache entries referenced in GUVNOR-2280 to my kie-wb.html and I still get the same issue of being stuck on Loading...

<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Expires" content="-1">

I don't seem to see this issue on RHEL 6.5, but I do on RHEL 7.1.  Don't know how this is impacting it.
Comment 12 Zuzana Krejčová 2016-03-30 06:19:38 EDT
Neither engineering nor QE could reproduce the reported issue. There is a possible workaround for this issue already documented in community. Product documentation is requested in bug 1322327. As there was no code change either, I am closing this.

Note You need to log in before you can comment on or make changes to this bug.